Apache Tomcat 6.0.53

## org.apache
Interface AnnotationProcessor

All Known Implementing Classes:
  DefaultAnnotationProcessor

    public interface AnnotationProcessor

Comment

Author:
  Bill Burke

Method Summary
`void` | `postConstruct(java.lang.Object instance)`
`void` | `preDestroy(java.lang.Object instance)`
`void` | `processAnnotations(java.lang.Object instance)`

Method Detail

### postConstruct

    void postConstruct(java.lang.Object instance)
                       throws java.lang.IllegalAccessException,
                              java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

### preDestroy

    void preDestroy(java.lang.Object instance)
                    throws java.lang.IllegalAccessException,
                           java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

### processAnnotations

    void processAnnotations(java.lang.Object instance)
                            throws java.lang.IllegalAccessException,
                                   java.lang.reflect.InvocationTargetException,
                                   javax.naming.NamingException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `javax.naming.NamingException`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.